From a739000db55ef55e69a53ca6966ea8657cac4354 Mon Sep 17 00:00:00 2001
From: Ammar Askar <ammar_askar@hotmail.com>
Date: Tue, 18 Jul 2017 21:07:49 -0700
Subject: [PATCH] [2.7] bpo-30883: Use pythontest.net instead of debian.org in
 test_urllib2net (GH-2755)

---
 Lib/test/test_urllib2net.py | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/Lib/test/test_urllib2net.py b/Lib/test/test_urllib2net.py
index 8eec3ad09204..89ee75919c7b 100644
--- a/Lib/test/test_urllib2net.py
+++ b/Lib/test/test_urllib2net.py
@@ -102,8 +102,8 @@ def setUp(self):
 
     def test_ftp(self):
         urls = [
-            'ftp://ftp.debian.org/debian/README',
-            ('ftp://ftp.debian.org/debian/non-existent-file',
+            'ftp://www.pythontest.net/README',
+            ('ftp://www.pythontest.net/non-existent-file',
              None, urllib2.URLError),
             ]
         self._test_urls(urls, self._extra_handlers())
@@ -282,7 +282,7 @@ def test_http_timeout(self):
             u = _urlopen_with_retry(url, timeout=120)
             self.assertEqual(u.fp._sock.fp._sock.gettimeout(), 120)
 
-    FTP_HOST = 'ftp://ftp.debian.org/debian/'
+    FTP_HOST = 'ftp://www.pythontest.net/'
 
     def test_ftp_basic(self):
         self.assertIsNone(socket.getdefaulttimeout())
